Bug 138974 - add info that wti can switch more than one outlet
add info that wti can switch more than one outlet
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rh-cs-en (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
Cluster QE
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 05:05 EST by Patrick C. F. Ernzer
Modified: 2014-08-04 18:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 14:31:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-11-12 05:05:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Appendix A from 'rh-cm-en-1.0' (2002 version) inccluded info on using
a WTI power switch to power on/off multiple ports at once. This is
useful for setups where a server has redundant power supplies.

I am unable to find this info in the curent rh-cs(EN). Can you please
add that info again?


Version-Release number of selected component (if applicable):
rh-cs(EN)-3-Print-RHI (2004-06-04T17:42)

How reproducible:
Always

Steps to Reproduce:
1. configure WTI power switch so that two ports have the sanme name
2. test manually 
3. configure in redhat-config-cluster
    

Actual Results:  Curently the guide lacks info, thus making people
believe that we cannot fence a server with redundant power supplies

Expected Results:  Info in the current guide as it was present in the
2002 version.

Additional info:

(WTI network attached power switches, WTI NPS 230 in this case, can
operate multiple ports for fencing if ports are named identical.

Manual test:
------------

Network Power Switch v3.02        Site: RPS02


Plug | Name             | Status  | Boot Delay | Password         |
Default |
-----+------------------+---------+------------+------------------+---------+
 1   | clusti01         |   ON    |   5  sec   | (undefined)      |  
ON    |
 2   | clusti02         |   ON    |   10 sec   | (undefined)      |  
ON    |
 3   | (undefined)      |   OFF   |   5  sec   | (undefined)      |  
OFF   |
 4   | (undefined)      |   OFF   |   5  sec   | (undefined)      |  
OFF   |
 5   | clusti01         |   ON    |   5  sec   | (undefined)      |  
ON    |
 6   | clusti02         |   ON    |   10 sec   | (undefined)      |  
ON    |
 7   | (undefined)      |   OFF   |   5  sec   | (undefined)      |  
OFF   |
 8   | (undefined)      |   OFF   |   5  sec   | (undefined)      |  
OFF   |
-----+------------------+---------+------------+------------------+---------+


NPS> /Off clusti01
Plugs to be turned off:
Plug 1 : clusti01
Plug 5 : clusti01
 
Sure? (Y/N):

Fencing through cluster:
------------------------

Nov 11 10:08:15 clusti01 clusvcmgrd: [30447]: <notice> service notice:
Stopping service WebServer ... 
Nov 11 10:08:16 clusti01 clusvcmgrd: [30447]: <notice> service notice:
Running user script '/etc/init.d/httpd stop' 
Nov 11 10:08:17 clusti01 clusvcmgrd: [30447]: <notice> service notice:
Stopped service WebServer ... 
Nov 11 10:10:24 clusti01 cluquorumd[14038]: <warning> --> Commencing
STONITH <-- 
Nov 11 10:10:27 clusti01 cluquorumd[14038]: Power to NPS outlet(s)
clusti02 turned /Off.
Nov 11 10:10:28 clusti01 cluquorumd[14038]: <notice> STONITH: clusti02
has been fenced! 
Nov 11 10:10:31 clusti01 cluquorumd[14038]: Power to NPS outlet(s)
clusti02 turned /On.
Nov 11 10:10:31 clusti01 cluquorumd[14038]: <notice> STONITH: clusti02
is no longer fenced off. 
Nov 11 10:10:31 clusti01 cluquorumd[14038]: <warning> Denied
127.0.0.1: Broken pipe
Nov 11 10:10:31 clusti01 clusvcmgrd[30759]: <notice> Taking over
service WebServer from down member clusti02 
Nov 11 10:10:31 clusti01 clusvcmgrd: [30760]: <notice> service notice:
Starting service WebServer ... 
Nov 11 10:10:32 clusti01 clusvcmgrd: [30760]: <notice> service notice:
Running user script '/etc/init.d/httpd start' 
Nov 11 10:10:33 clusti01 clusvcmgrd: [30760]: <notice> service notice:
Started service WebServer ... 
Nov 11 10:10:40 clusti01 cluquorumd[14038]: <warning> --> Commencing
STONITH <-- 
Nov 11 10:10:43 clusti01 cluquorumd[14038]: Power to NPS outlet(s)
clusti02 turned /Off.
Nov 11 10:10:43 clusti01 cluquorumd[14038]: <notice> STONITH: clusti02
has been fenced! 
Nov 11 10:10:46 clusti01 cluquorumd[14038]: Power to NPS outlet(s)
clusti02 turned /On.
Nov 11 10:10:46 clusti01 cluquorumd[14038]: <notice> STONITH: clusti02
is no longer fenced off. 

As expected, this fenced both power supplies
Comment 6 John Ha 2004-11-29 14:31:48 EST
As resources permit, we will include more device-specific information
in future releases of the Red Hat Cluster Suite: Configuring and
Managing a Cluster manual.

Note You need to log in before you can comment on or make changes to this bug.